Skip to navigation

Create DPU Extension Service

View as Markdown

Create a DPU Extension Service for the current Tenant.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"

# Example org name: "acme-inc
export ORG_NAME=<org-name>

# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org

Request

This endpoint expects an object.
namestringRequired
Name for the DPU Extension Service. Must be unique for a given Tenant
serviceTypeenumRequired
Type of the DPU Extension Service
Allowed values:
siteIdstringRequiredformat: "uuid"
ID for the Site the DPU Extension Service belongs to
dataobject or stringRequired

Deployment specification as a string, limited to 131072 UTF-8 bytes. Use a YAML/JSON Pod manifest for KubernetesPod or JSON-encoded Helm configuration for DpfHelmChart. The object schema documents the Helm structure; requests must still send a string.

descriptionstring or nullOptional
Optional description for the DPU Extension Service
dpuTargetenumOptional
Required for DpfHelmChart services and unsupported for KubernetesPod services
Allowed values:
credentialsobjectOptional

Credentials to download resources specified in DPU Extension Service data; unsupported for DpfHelmChart

observabilityobjectOptional

Observability configuration for the DPU Extension Service version; unsupported for DpfHelmChart

Response

Created
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the DPU Extension Service
namestringOptional
Name for the DPU Extension Service. Must be unique for a given Tenant
descriptionstring or nullOptional
Optional description for the DPU Extension Service
serviceTypeenumOptional
Type of the DPU Extension Service
Allowed values:
dpuTargetenumOptional

Immutable DPU placement policy for DpfHelmChart services; null for KubernetesPod services

Allowed values:
siteIdstringOptionalformat: "uuid"
ID for the Site the DPU Extension Service belongs to
tenantIdstringOptionalformat: "uuid"
ID for the Tenant the DPU Extension Service belongs to
versionstring or nullOptional
Latest version of the DPU Extension Service
versionInfoobjectOptional
Details for the latest version of the DPU Extension Service
activeVersionslist of stringsOptional
Latest and past versions of this DPU Extension Service that have not been deleted and are available for deployment
statusenumOptional
Status of the DPU Extension Service
Allowed values:
statusHistorylist of objectsOptional
History of the DPU Extension Service statuses
createddatetimeOptionalRead-only

Date/time when the DPU Extension Service was created

updateddatetimeOptionalRead-only

Date/time when the DPU Extension Service was last updated

Errors

400
Bad Request Error
403
Forbidden Error